Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.legacy
Class LegacyEmailErrorsAndFirstSuccessfulBuildStrategy

    java.lang.Object
      com.atlassian.bamboo.legacy.LegacyAbstractEmailStrategy
          com.atlassian.bamboo.legacy.LegacyEmailErrorsAndFirstSuccessfulBuildStrategy

All Implemented Interfaces:
  EmailStrategy

    public class LegacyEmailErrorsAndFirstSuccessfulBuildStrategy

extends LegacyAbstractEmailStrategy

Constructor Summary
`LegacyEmailErrorsAndFirstSuccessfulBuildStrategy()`

Method Summary
`String` | `getLabel()` Obtain a description of the strategy for displaying in the GUI
`boolean` | `shouldEmailBuildResults(BuildResults buildResults, BuildState previousBuildState)` Returns an email if the build has failed, or its the first successful build after a failed build.

Methods inherited from class com.atlassian.bamboo.legacy.LegacyAbstractEmailStrategy
`getName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LegacyEmailErrorsAndFirstSuccessfulBuildStrategy

    public LegacyEmailErrorsAndFirstSuccessfulBuildStrategy()

Method Detail

### getLabel

    public String getLabel()

  Obtain a description of the strategy for displaying in the GUI

  Returns:
    the descriptive label for the GUI

### shouldEmailBuildResults

    public boolean shouldEmailBuildResults(BuildResults buildResults,
                                           BuildState previousBuildState)

  Returns an email if the build has failed, or its the first successful build after a failed build.

  Parameters:
    `buildResults` - The current build results
    `previousBuildState` - The status of the previous build
  Returns:
    true if failed, or first successful build.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.